Disk ARchive: libdar::mycurl_param_element< T > Class Template Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::mycurl_param_element< T > Class Template Reference
Private

the implemented inherited classes of the abstracted class for etherogeneous list/map More...

`#include <mycurl_param_list.hpp>`

Inherits libdar::mycurl_param_element_generic.

## Public Member Functions
| mycurl_param_element (const T &arg)
| mycurl_param_element (const mycurl_param_element< T > &e)
| mycurl_param_element (mycurl_param_element< T > &&e) noexcept
mycurl_param_element< T > & | operator= (const mycurl_param_element< T > &e)
mycurl_param_element< T > & | operator= (mycurl_param_element< T > &&e)
virtual bool | operator== (const mycurl_param_element_generic &arg) const override
T | get_value () const
const T * | get_value_address () const
void | set_value (const T &arg)
virtual std::unique_ptr< mycurl_param_element_generic > | clone () const override
Public Member Functions inherited from libdar::mycurl_param_element_generic
virtual bool | operator!= (const mycurl_param_element_generic &val) const

## Private Attributes
T | val

## Detailed Description

template<class T>
class libdar::mycurl_param_element< T >

the implemented inherited classes of the abstracted class for etherogeneous list/map

Definition at line 83 of file mycurl_param_list.hpp.

## Constructor & Destructor Documentation

## ◆ mycurl_param_element() [1/3]

template<class T>

libdar::mycurl_param_element< T >::mycurl_param_element | ( | const T & | arg | ) |
| inline

Definition at line 86 of file mycurl_param_list.hpp.

## ◆ mycurl_param_element() [2/3]

template<class T>

libdar::mycurl_param_element< T >::mycurl_param_element | ( | const mycurl_param_element< T > & | e | ) |
| inline

Definition at line 87 of file mycurl_param_list.hpp.

## ◆ mycurl_param_element() [3/3]

template<class T>

libdar::mycurl_param_element< T >::mycurl_param_element | ( | mycurl_param_element< T > && | e | ) |
| inlinenoexcept

Definition at line 88 of file mycurl_param_list.hpp.

## Member Function Documentation

## ◆ clone()

template<class T>

virtual std::unique_ptr< mycurl_param_element_generic > libdar::mycurl_param_element< T >::clone | ( |  | ) | const
| inlineoverridevirtual

Implements libdar::mycurl_param_element_generic.

Definition at line 105 of file mycurl_param_list.hpp.

## ◆ get_value()

template<class T>

T libdar::mycurl_param_element< T >::get_value | ( |  | ) | const
| inline

Definition at line 101 of file mycurl_param_list.hpp.

## ◆ get_value_address()

template<class T>

const T * libdar::mycurl_param_element< T >::get_value_address | ( |  | ) | const
| inline

Definition at line 102 of file mycurl_param_list.hpp.

## ◆ operator=() [1/2]

template<class T>

mycurl_param_element< T > & libdar::mycurl_param_element< T >::operator= | ( | const mycurl_param_element< T > & | e | ) |
| inline

Definition at line 89 of file mycurl_param_list.hpp.

## ◆ operator=() [2/2]

template<class T>

mycurl_param_element< T > & libdar::mycurl_param_element< T >::operator= | ( | mycurl_param_element< T > && | e | ) |
| inline

Definition at line 90 of file mycurl_param_list.hpp.

## ◆ operator==()

template<class T>

virtual bool libdar::mycurl_param_element< T >::operator== | ( | const mycurl_param_element_generic & | arg | ) | const
| inlineoverridevirtual

Implements libdar::mycurl_param_element_generic.

Definition at line 93 of file mycurl_param_list.hpp.

## ◆ set_value()

template<class T>

void libdar::mycurl_param_element< T >::set_value | ( | const T & | arg | ) |
| inline

Definition at line 103 of file mycurl_param_list.hpp.

## Member Data Documentation

## ◆ val

template<class T>

T libdar::mycurl_param_element< T >::val
| private

Definition at line 124 of file mycurl_param_list.hpp.

The documentation for this class was generated from the following file:

- mycurl_param_list.hpp